---
lang: en
title: 'API docs: context.context.contains'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context.contains.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [contains](./context.context.contains.md)

## Context.contains() method

Check if a binding exists with the given key in the local context without delegating to the parent context

<b>Signature:</b>

```typescript
contains(key: BindingAddress): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>BindingAddress</code> | Binding key |

<b>Returns:</b>

`boolean`


